Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/rdf/tei2rdf.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/rdf/tei2rdf.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/rdf/tei2rdf.xsl	(revision 2397)
@@ -1,114 +1,135 @@
 <?xml version="1.0" encoding="utf-8"?>
-<XSL:stylesheet xmlns:XSL="http://www.w3.org/1999/XSL/Transform" version="2.0"
-                xpath-default-namespace="http://www.tei-c.org/ns/1.0">
-   <XSL:import href="../tools/getfiles.xsl"/>
-   <XSL:import href="crm.xsl"/>
-   <XSL:param name="corpus">./</XSL:param>
-   <XSL:template match="*">
-      <XSL:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-   </XSL:template>
-   <XSL:template match="text()|comment()|@*|processing-instruction()"/>
-   <XSL:template match="name">
-      <XSL:call-template name="teiname"/>
-   </XSL:template>
-   <XSL:template match="date">
-      <XSL:call-template name="E52"/>
-   </XSL:template>
-   <XSL:template match="author">
-      <XSL:call-template name="E65"/>
-   </XSL:template>
-   <XSL:template match="title">
-      <XSL:call-template name="E35"/>
-   </XSL:template>
-   <XSL:template match="teiHeader">
-      <XSL:call-template name="E31"/>
-   </XSL:template>
-   <XSL:template match="TEI">
-      <XSL:call-template name="TEI"/>
-   </XSL:template>
-   <XSL:template match="persName">
-      <XSL:call-template name="E82"/>
-   </XSL:template>
-   <XSL:template match="placeName">
-      <XSL:call-template name="E48"/>
-   </XSL:template>
-   <XSL:template match="birth">
-      <XSL:call-template name="E67"/>
-   </XSL:template>
-   <XSL:template match="death">
-      <XSL:call-template name="E69"/>
-   </XSL:template>
-   <XSL:template match="event">
-      <XSL:call-template name="E5"/>
-   </XSL:template>
-   <XSL:template match="geo">
-      <XSL:call-template name="E47"/>
-   </XSL:template>
-   <XSL:template match="org">
-      <XSL:call-template name="E74"/>
-   </XSL:template>
-   <XSL:template match="person">
-      <XSL:call-template name="E21"/>
-   </XSL:template>
-   <XSL:template match="place">
-      <XSL:call-template name="E53"/>
-   </XSL:template>
-   <XSL:template match="residence">
-      <XSL:call-template name="P74"/>
-   </XSL:template>
-   <XSL:template match="ab">
-      <XSL:call-template name="anonblock"/>
-   </XSL:template>
-   <XSL:template name="typology">
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">place</label>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/placeName">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains an absolute or relative place name. </label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/bloc">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">(bloc) contains the name of a geo-political unit consisting of two or more nation states or
-    countries.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/country">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">(country) contains the name of a geo-political unit, such as a nation, country, colony, or
-    commonwealth, larger than or administratively superior to a region and smaller than a bloc.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/region">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of an administrative unit such as a state, province, or county, larger
-    than a settlement, but smaller than a country.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/district">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of any kind of subdivision of a settlement, such as a parish, ward, or other administrative or geographic unit.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/settlement">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of a settlement such as a city, town, or village identified as a single geo-political or administrative unit.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-      <E55_Type xmlns="http://purl.org/NET/crm-owl#"
-                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-                rdf:about="http://www.tei-c.org/type/place/geogName">
-         <label xmlns="http://www.w3.org/2000/01/rdf-schema#">(geographical name) a name associated with some geographical feature such as Windrush Valley or Mount Sinai.</label>
-         <P127_has_broader_term rdf:resource="http://www.tei-c.org/type/place"/>
-      </E55_Type>
-   </XSL:template>
+<XSL:stylesheet
+	xmlns:XSL="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0">
+	<XSL:import href="../tools/getfiles.xsl" />
+	<XSL:import href="crm.xsl" />
+	<XSL:param name="corpus">
+		./
+	</XSL:param>
+	<XSL:template match="*">
+		<XSL:apply-templates
+			select="*|@*|processing-instruction()|comment()|text()" />
+	</XSL:template>
+	<XSL:template
+		match="text()|comment()|@*|processing-instruction()" />
+	<XSL:template match="name">
+		<XSL:call-template name="teiname" />
+	</XSL:template>
+	<XSL:template match="date">
+		<XSL:call-template name="E52" />
+	</XSL:template>
+	<XSL:template match="author">
+		<XSL:call-template name="E65" />
+	</XSL:template>
+	<XSL:template match="title">
+		<XSL:call-template name="E35" />
+	</XSL:template>
+	<XSL:template match="teiHeader">
+		<XSL:call-template name="E31" />
+	</XSL:template>
+	<XSL:template match="TEI">
+		<XSL:call-template name="TEI" />
+	</XSL:template>
+	<XSL:template match="persName">
+		<XSL:call-template name="E82" />
+	</XSL:template>
+	<XSL:template match="placeName">
+		<XSL:call-template name="E48" />
+	</XSL:template>
+	<XSL:template match="birth">
+		<XSL:call-template name="E67" />
+	</XSL:template>
+	<XSL:template match="death">
+		<XSL:call-template name="E69" />
+	</XSL:template>
+	<XSL:template match="event">
+		<XSL:call-template name="E5" />
+	</XSL:template>
+	<XSL:template match="geo">
+		<XSL:call-template name="E47" />
+	</XSL:template>
+	<XSL:template match="org">
+		<XSL:call-template name="E74" />
+	</XSL:template>
+	<XSL:template match="person">
+		<XSL:call-template name="E21" />
+	</XSL:template>
+	<XSL:template match="place">
+		<XSL:call-template name="E53" />
+	</XSL:template>
+	<XSL:template match="residence">
+		<XSL:call-template name="P74" />
+	</XSL:template>
+	<XSL:template match="ab">
+		<XSL:call-template name="anonblock" />
+	</XSL:template>
+	<XSL:template name="typology">
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">place</label>
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/placeName">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains an absolute or relative place name. </label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/bloc">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">(bloc) contains the name of a geo-political unit
+				consisting of two or more nation states or
+				countries.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/country">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">(country) contains the name of a geo-political
+				unit, such as a nation, country, colony, or
+				commonwealth, larger than or administratively superior to a region and smaller
+				than a bloc.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/region">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of an administrative unit such
+				as a state, province, or county, larger
+				than a settlement, but smaller than a country.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/district">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of any kind of subdivision of a
+				settlement, such as a parish, ward, or other administrative or
+				geographic unit.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/settlement">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">contains the name of a settlement such as a city,
+				town, or village identified as a single geo-political or
+				administrative unit.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+		<E55_Type xmlns="http://purl.org/NET/crm-owl#"
+			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+			rdf:about="http://www.tei-c.org/type/place/geogName">
+			<label xmlns="http://www.w3.org/2000/01/rdf-schema#">(geographical name) a name associated with some
+				geographical feature such as Windrush Valley or Mount Sinai.</label>
+			<P127_has_broader_term
+				rdf:resource="http://www.tei-c.org/type/place" />
+		</E55_Type>
+	</XSL:template>
 </XSL:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/odds2/extract-sch.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/odds2/extract-sch.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/odds2/extract-sch.xsl	(revision 2397)
@@ -1,161 +1,168 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:xi="http://www.w3.org/2001/XInclude"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-		xmlns:sch="http://www.ascc.net/xml/schematron"
-		xmlns="http://www.ascc.net/xml/schematron"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                version="2.0"
-                exclude-result-prefixes="tei rng teix sch xi #default">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-    <desc>
-      <p> TEI stylesheet for simplifying TEI ODD markup </p>
-      <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xi="http://www.w3.org/2001/XInclude"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:sch="http://www.ascc.net/xml/schematron"
+	xmlns="http://www.ascc.net/xml/schematron"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	exclude-result-prefixes="tei rng teix sch xi #default">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet for simplifying TEI ODD markup </p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-      <p>Author: See AUTHORS</p>
-      <p>Id: $Id: extract-sch.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-      <p>Copyright: 2011, TEI Consortium</p>
-    </desc>
-  </doc>
-  <xsl:output encoding="utf-8" indent="yes" method="xml"/>
-  <xsl:param name="lang"></xsl:param>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <xsl:key name="NS" 
-	   match="sch:ns"
-	   use="1"/>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: extract-sch.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<xsl:output encoding="utf-8" indent="yes" method="xml" />
+	<xsl:param name="lang"></xsl:param>
 
-  <xsl:key name="PATTERNS"
-	   match="sch:pattern"
-	   use="1"/>
+	<xsl:key name="NS" match="sch:ns" use="1" />
 
-  <xsl:key name="CONSTRAINTS"
-	   match="tei:constraint"
-	   use="1"/>
+	<xsl:key name="PATTERNS" match="sch:pattern" use="1" />
 
+	<xsl:key name="CONSTRAINTS" match="tei:constraint" use="1" />
 
-  <xsl:template match="/">
-      <schema>
-         <title>Schematron 1.5 rules</title>
-         <xsl:for-each select="key('NS',1)">
-            <xsl:choose>
-               <xsl:when test="ancestor::teix:egXML"/>
-	       <xsl:when test="ancestor::tei:constraintSpec/@xml:lang
-		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)"/>
-               <xsl:otherwise>
-                  <xsl:apply-templates select="."/>
-               </xsl:otherwise>
-            </xsl:choose>
-         </xsl:for-each>
 
-         <xsl:for-each select="key('PATTERNS',1)">
-            <xsl:choose>
-               <xsl:when test="ancestor::teix:egXML"/>
-	       <xsl:when test="ancestor::tei:constraintSpec/@xml:lang
-		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)"/>
-               <xsl:otherwise>
-                  <xsl:apply-templates select="."/>
-               </xsl:otherwise>
-            </xsl:choose>
-         </xsl:for-each>
+	<xsl:template match="/">
+		<schema>
+			<title>Schematron 1.5 rules</title>
+			<xsl:for-each select="key('NS',1)">
+				<xsl:choose>
+					<xsl:when test="ancestor::teix:egXML" />
+					<xsl:when
+						test="ancestor::tei:constraintSpec/@xml:lang
+		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)" />
+					<xsl:otherwise>
+						<xsl:apply-templates select="." />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
 
-         <xsl:for-each select="key('CONSTRAINTS',1)">
-            <xsl:choose>
-               <xsl:when test="ancestor::teix:egXML"/>
-	       <xsl:when test="ancestor::tei:constraintSpec/@xml:lang
-		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)"/>
-               <xsl:otherwise>
-		 <xsl:variable name="patID">
-		   <xsl:choose>
-		     <xsl:when test="ancestor::tei:elementSpec">
-		       <xsl:value-of select="concat(ancestor::tei:elementSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)"/>
-		     </xsl:when>
-		     <xsl:when test="ancestor::tei:classSpec">
-		       <xsl:value-of select="concat(ancestor::tei:classSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)"/>
-		     </xsl:when>
-		     <xsl:when test="ancestor::tei:macroSpec">
-		       <xsl:value-of select="concat(ancestor::tei:macroSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)"/>
-		     </xsl:when>
-                     </xsl:choose>
-                  </xsl:variable>
-		 <xsl:if test="sch:rule">
-		   <pattern id="{$patID}">
-		     <xsl:apply-templates select="sch:rule"/>
-		   </pattern>
-		 </xsl:if>
-		 <xsl:if test="sch:assert|sch:report">
-		   <pattern id="{$patID}">
-		     <rule>
-		       <xsl:attribute name="context">
+			<xsl:for-each select="key('PATTERNS',1)">
+				<xsl:choose>
+					<xsl:when test="ancestor::teix:egXML" />
+					<xsl:when
+						test="ancestor::tei:constraintSpec/@xml:lang
+		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)" />
+					<xsl:otherwise>
+						<xsl:apply-templates select="." />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
+
+			<xsl:for-each select="key('CONSTRAINTS',1)">
+				<xsl:choose>
+					<xsl:when test="ancestor::teix:egXML" />
+					<xsl:when
+						test="ancestor::tei:constraintSpec/@xml:lang
+		 and not(ancestor::tei:constraintSpec/@xml:lang = $lang)" />
+					<xsl:otherwise>
+						<xsl:variable name="patID">
+							<xsl:choose>
+								<xsl:when test="ancestor::tei:elementSpec">
+									<xsl:value-of
+										select="concat(ancestor::tei:elementSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)" />
+								</xsl:when>
+								<xsl:when test="ancestor::tei:classSpec">
+									<xsl:value-of
+										select="concat(ancestor::tei:classSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)" />
+								</xsl:when>
+								<xsl:when test="ancestor::tei:macroSpec">
+									<xsl:value-of
+										select="concat(ancestor::tei:macroSpec/@ident,'-constraint-',ancestor::tei:constraintSpec/@ident)" />
+								</xsl:when>
+							</xsl:choose>
+						</xsl:variable>
+						<xsl:if test="sch:rule">
+							<pattern id="{$patID}">
+								<xsl:apply-templates select="sch:rule" />
+							</pattern>
+						</xsl:if>
+						<xsl:if test="sch:assert|sch:report">
+							<pattern id="{$patID}">
+								<rule>
+									<xsl:attribute name="context">
 			 <xsl:text>tei:</xsl:text>
 			 <xsl:choose>
 			   <xsl:when test="ancestor::tei:elementSpec">
 			     <xsl:value-of
-				 select="ancestor::tei:elementSpec/@ident"/>
+										select="ancestor::tei:elementSpec/@ident" />
 			   </xsl:when>
 			   <xsl:otherwise>*</xsl:otherwise>
 			 </xsl:choose>
 		       </xsl:attribute>
-		       <xsl:apply-templates select="sch:assert|sch:report"/>
-		     </rule>
-		   </pattern>
-		 </xsl:if>
-               </xsl:otherwise>
-            </xsl:choose>
-         </xsl:for-each>
-      </schema>
-  </xsl:template>
-  
-  <xsl:template match="sch:rule[not(@context)]">
-    <rule>
-      <xsl:attribute name="context">
+									<xsl:apply-templates
+										select="sch:assert|sch:report" />
+								</rule>
+							</pattern>
+						</xsl:if>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
+		</schema>
+	</xsl:template>
+
+	<xsl:template match="sch:rule[not(@context)]">
+		<rule>
+			<xsl:attribute name="context">
 	<xsl:text>tei:</xsl:text>
-	<xsl:value-of select="ancestor::tei:elementSpec/@ident"/>
+	<xsl:value-of select="ancestor::tei:elementSpec/@ident" />
       </xsl:attribute>
-      <xsl:apply-templates/>
-    </rule>
-  </xsl:template>
-  
-  
-  <xsl:template match="@*|text()|comment()|processing-instruction()">
-      <xsl:copy-of select="."/>
-  </xsl:template>
-  
-  
-  <xsl:template match="sch:*">
-    <xsl:element name="{local-name()}">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </xsl:element>
-  </xsl:template>
-  
+			<xsl:apply-templates />
+		</rule>
+	</xsl:template>
+
+
+	<xsl:template
+		match="@*|text()|comment()|processing-instruction()">
+		<xsl:copy-of select="." />
+	</xsl:template>
+
+
+	<xsl:template match="sch:*">
+		<xsl:element name="{local-name()}">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:element>
+	</xsl:template>
+
 </xsl:stylesheet>
\ No newline at end of file
